
Katello - Feature #5193

Systems/Hosts: Katello 'System Groups' should be named 'Host Collections' in the UI

04/14/2014 03:40 PM - Brad Buckingham

Status: Closed   

Priority: Low   

Assignee: Brad Buckingham   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

All references to 'System Group' should be updated to 'Host Collection' throughout the UI. This includes items such as navigation,

page titles, table headers, cross-links, info...etc.

E.g. the following pages will be impacted:

- Content Dashboard

- System Groups

- Systems (for bulk actions and individual systems)

- Activation Keys

- ...

Related issues:

Related to Katello - Feature #5535: As a user, I should be able to assign CRU... Closed 05/01/2014

Associated revisions

Revision 554b44fe - 05/08/2014 09:10 AM - Brad Buckingham

fixes #5191, #5193 - Rename system groups to host collections everywhere

This commit contains the changes needed to rename system groups to host collections

throughout the engine.  Summary of changes includes:

schema migrations

file renaming

route updates

model updates

controller updates

helper and lib updates

view updates

test/spec updates

ui updates

ui test updates

...

Revision c2e2f9b0 - 05/08/2014 01:10 PM - Brad Buckingham

fixes #5191, #5193 - Rename system groups to host collections everywhere

This commit contains the changes needed to rename system groups to host collections

throughout the engine.  Summary of changes includes:

schema migrations

file renaming

route updates

model updates

controller updates

helper and lib updates

view updates

test/spec updates

ui updates

ui test updates

...
History

#1 - 04/28/2014 04:27 PM - Brad Buckingham

- Target version set to 44

- Triaged changed from No to Yes

#2 - 05/02/2014 04:10 PM - Brad Buckingham

- Related to Feature #5535: As a user, I should be able to assign CRUD permissions for System Groups. added

#3 - 05/02/2014 04:11 PM - Brad Buckingham

- Assignee set to Brad Buckingham

#4 - 05/08/2014 04:53 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c2e2f9b097766f430164de308c08f5e7b2e1f1c1.

#5 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
